const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    st7_global_2d_to_2d_local = z.y # st7;
    if fabsl(z.y) < 9223372036854775808.0:;
        # bb;
        st7_global_2d_to_2d_local = sinl(z.y);
        st6_global_2d_to_2d_local = cosl(z.y);
    v3_7 = z.z;
    st5_global_2d_to_2d_local = v3_7 # st5;
    if fabsl(v3_7) < 9223372036854775808.0:;
        # bb234;
        st5_global_2d_to_2d_local = sinl(v3_7);
        v2_b = cosl(v3_7);
    else:;
        v2_b = st4_global_2d_to_2d_local;
    # bb235;
    *v3_7 = st6_global_2d_to_2d_local * z.x;
    *z.y = st5_global_2d_to_2d_local * st7_global_2d_to_2d_local * z.x;
    *z.x = st7_global_2d_to_2d_local * v2_b * z.x;
    return z.x;


	}